Subject: Notification: incoming/885

From: [email-masked]
Date: Fri, 03 May 2002 13:27:51 -0500

FVWM Bug Tracking notification

new message incoming/885

Message summary for PR#885
	From: [email-masked]
	Subject: global key problem
	Date: Fri, 03 May 2002 13:27:50 -0500
	0 replies 	0 followups

====> ORIGINAL MESSAGE FOLLOWS <====

>From [email-masked] Fri May 03 13:27:51 2002
From: [email-masked]
To: [email-masked]
Subject: global key problem
Date: Fri, 03 May 2002 13:27:50 -0500

Full_Name: David A. Rogers
Version: 2.4.6
CVS_Date: 
OS: debian woody (current testing)
X_Server: xfree86 4.1
Submission from: (NULL) (192.207.190.2)

The problem - immediately after startup, global keys i.e. keys defined for
all contexts, do not execute.

OK, here's a minimal .fvwm2rc that shows the problem.  Start fvwm 2.4.6
(at
least that's what I have) with the following .fvwm2rc.  Notice that
pressing
Control-Shift-F9 does _not_ result in a beep.  Now open up any other x
app.
Now CSF9 does result in a beep.

You should be able to reproduce this as long as you've got xcalc.  If you
don't, try substituting any other common X app that accepts input.  Note
that running xclock or other apps that don't accept input do not exhibit
the problem behavior.

Commenting any of CirculateSkip or ClickToFocus or the xcalc swallow will
result in the key working properly.  Seems to be an odd interaction
amongst
them all.

I have no idea what CirculateSkip does.  Its behavior is not documented in
the fvwm man.  The Debian maintainer has it in the standard Debian setup -
which is how I ended up with it.

dar

#===============================================================================

Style "Fvwm*" CirculateSkip

Module FvwmPager
Module FvwmButtons

Style * ClickToFocus

Key F9 A SC Beep

DeskTopSize 3x1
*FvwmButtons: ButtonGeometry 32x32+0-0

*FvwmButtons: (2x1, Swallow XCalc `Exec exec xcalc`)
*FvwmButtons: (3x1, Swallow(UseOld,NoKill) "FvwmPager" )

--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]